package com.example.nto.service;

import com.example.nto.dto.UsersDTO;
import com.example.nto.entity.Users;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public interface UsersService {
    List<UsersDTO> getAllUsers();
    UsersDTO getUserbyId(Long id);


    Users updateEmployee(long id, Users newUser);
    String blockUser(String username);

    String unblockUser(String username);

    UsersDTO getUserByUsername(String username);

}
