package com.example.nto.service.impl;

import com.example.nto.dto.TerminalDTO;
import com.example.nto.entity.Terminal;
import com.example.nto.repository.TerminalRepository;
import com.example.nto.service.TerminalService;
import com.example.nto.util.TerminalMapper;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.Optional;

@Service
@RequiredArgsConstructor
public class TerminalServiceimpl implements TerminalService {

    private final TerminalRepository terminalRepository;


    @Override
    public TerminalDTO getTerminalbyId(Long id) {
        Optional<Terminal> terminal = terminalRepository.findById(id);
        return terminal.map(TerminalMapper::convertDTO).orElse(null);
    }
}